/**
 * Theme Name:     Liha
 * Author:         Elementor Team
 * Template:       hello-elementor
 * Text Domain:	   liha
 * Description:    Hello Elementor is a lightweight and minimalist WordPress theme that was built specifically to work seamlessly with the Elementor site builder plugin. The theme is free, open-source, and designed for users who want a flexible, easy-to-use, and customizable website. The theme, which is optimized for performance, provides a solid foundation for users to build their own unique designs using the Elementor drag-and-drop site builder. Its simplicity and flexibility make it a great choice for both beginners and experienced Web Creators.
 */

/* common css */
html, body {
    overflow-x: hidden;
}
.none-aspect-ratio .elementor-wrapper.elementor-open-lightbox {
    --video-aspect-ratio: none !important;
}
body .comments-area a, body .page-content a, body a {
    text-decoration: none;
}
p:last-child {
    margin-bottom: 0;
}
body img {
    display: block;
}
ul:not(:last-child) {
    margin-block-end: .9rem;
}
/* Text color */
.text-blue {
	color: #4F66B0;
}
/* Button css for full width  */
.button-link-full a {
	width: 100%;
}
.button-link-full a > span span.elementor-button-text {
    flex-grow: inherit;
}
.elementor-button-link .elementor-button-icon svg.e-font-icon-svg.e-fas-arrow-right {
    width: 0.6em;
}

/* Header */
.header-search-icon .hfe-search-icon-toggle i {
    background-color: #fff;
    border-radius: 4px;
    padding: 4px 5px;
}

/* Hero Section */
.hero-section h3 b {
    font-weight: 500;
}

/* Testimonials Slider */
.testimonials-slider .sp-testimonial-free-section {
    margin-left: 0;
    margin-right: 0;
}
.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-testimonial {
    position: relative;
    padding-top: 110px;
}
.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-testimonial::before {
    content: "";
    background-color: #4F66B0;
    background-image: url(/wp-content/uploads/2023/12/quote-right-light.svg);
    background-repeat: no-repeat;
    background-position: center;
    background-size: 33px 28px;
    position: absolute;
    top: 0;
    left: 0;
    width: 80px;
    height: 80px;
}
.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-testimonial,
.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-testimonial p,
.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-name,
.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-rating,
.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-designation {
    text-align: left;
}
.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-testimonial p {
    font-family: "Lato", Sans-serif;
    font-size: 17px;
    font-weight: 400;
    line-height: 28px;
}
.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-name {
    font-family: "Kanit", Sans-serif;
    font-size: 22px;
    font-weight: 500;
    line-height: 26px;
    margin-bottom: 5px;
}
.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-designation {
    font-family: "Kanit", Sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 15px;
}
.testimonials-slider .sp-testimonial-free-section .testimonial-pagination {
    justify-content: flex-start;
    bottom: 0;
}
.testimonials-slider .sp-testimonial-free-section .testimonial-pagination .swiper-pagination-bullet {
    width: 10px;
    height: 10px;
}
.testimonials-slider .sp-testimonial-free-section .testimonial-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active {
    width: 14px;
    height: 14px;
}

/* Home Product Section */
.liha-products {
    display: flex;
    flex-wrap: wrap;
    row-gap: 10px;
    margin: 0 -5px;
}
.liha-product-list {
    padding: 0 5px;
    width: 33.33%;
}
.liha-product-details {
    background-color: #F9F9F9;
    border-radius: 8px;
    padding: 24px;
}
.liha-product-image {
    margin-bottom: 20px;
    border-radius: 8px;
    overflow: hidden;
}
.liha-product-image img {
    width: 100%;
}
.liha-product-title {
    margin-bottom: 4px;
}
.liha-product-title h3 {
    color: #000;
    font-family: "Kanit", Sans-serif;
    font-size: 22px;
    font-weight: 600;
    line-height: 24px;
    margin-top: 0;
    margin-bottom: 0;
}
.liha-product-category {
    margin-bottom: 4px;
}
.liha-product-category a {
    color: #000;
    font-family: "Kanit", Sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
    text-decoration: none !important;
}
.liha-product-model {
    color: #4F66B0;
    font-family: "Kanit", Sans-serif;
    font-size: 14px;
    font-weight: 600;
    line-height: 24px;
    margin-bottom: 4px;
}
.liha-product-content {
    color: #41444B;
    font-family: "Kanit", Sans-serif;
    font-size: 14px;
    font-weight: 300;
    line-height: 24px;
    margin-bottom: 24px;
}
.liha-product-details .liha-btn {
    display: block;
}
.liha-btn.elementor-button .elementor-align-icon-right {
    display: inline-block;
    vertical-align: middle;
}

/* Pagination */
.liha-pagination {
    margin-top: 50px;
}
ul.page-numbers {
    list-style-type: none;
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
}
ul.page-numbers li {
    margin-right: 5px;
}
ul.page-numbers .page-numbers {
    border: 2px solid #4F66B0;
    color: #4F66B0;
    width: 30px;
    height: 30px;
    font-size: 17px;
    font-weight: 400;
    line-height: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    text-decoration: none;
}
ul.page-numbers .page-numbers.current,
ul.page-numbers .page-numbers:hover {
    background-color: #4F66B0;
    color: #fff;
}
ul.page-numbers .page-numbers.prev,
ul.page-numbers .page-numbers.next {
    border: none;
    width: 17px;
}
ul.page-numbers .page-numbers.prev {
    margin-right: 10px;
}
ul.page-numbers .page-numbers.next {
    margin-left: 10px;
}
ul.page-numbers .page-numbers.prev:hover,
ul.page-numbers .page-numbers.next:hover {
    background-color: transparent;
}
ul.page-numbers .page-numbers.prev svg,
ul.page-numbers .page-numbers.next svg {
    fill: #4F66B0;
}

/* Home Project Section */
.projects-item {
    display: flex;
    flex-wrap: wrap;
    row-gap: 20px;
    margin: 0 -10px;
}
.project-list {
    padding: 0 10px;
    width: 33.33%;
    position: relative;
}
.project-info {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    background-color: rgba(79, 102, 176, 0.8);
    opacity: 0;
    visibility: hidden;
    position: absolute;
    top: 0;
    left: 10px;
    right: 10px;
    bottom: 0;
    padding: 30px;
    transition: all 0.3s ease-in-out;
}
.project-list:hover .project-info {
    opacity: 1;
    visibility: visible;
}
.project-list img {
    width: 100%;
    object-fit: cover;
}
.project-cat-name {
    color: #D4D7DD;
    text-align: center;
    font-size: 14px;
    font-weight: 300;
    line-height: 15px;
    text-transform: uppercase;
    margin-bottom: 10px;
}
.project-name {
    margin-bottom: 30px;
}
.project-name a {
    display: block;
    color: #FFF !important;
    text-align: center;
    font-size: 18px;
    font-weight: 400;
    line-height: 26px;
}
.project-list .liha-btn {
    background-color: #fff;
    width: 40px;
    height: 40px;
    display: inline-flex;
    justify-content: center;
    align-items: center;
}
.project-list .liha-btn svg {
    width: 12px;
}

/* Product details page */
.woocommerce .woocommerce-breadcrumb {
    display: none;
}
.woocommerce #main {
    max-width: 100%;
}
.liha-products-banner-section {
    background-image: url("/wp-content/uploads/2023/12/office-building-from-low-angle-view-5JP662U.jpg");
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}
.liha-products-banner-section::before {
    content: "";
    background-color: #4F66B0CC;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}
.liha-products-banner-section .liha-container {
    display: flex;
    align-items: center;
    min-height: 300px;
    position: relative;
}
.liha-products-banner-section h1 {
    color: #fff;
}
.liha-products-main-section {
    background-color: #F9F9F9;
    padding: 100px 0;
}
.liha-container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 10px;
}
.woocommerce span.onsale {
    background-color: #4F66B0;
}
.woocommerce-product-gallery .flex-viewport {
    border-radius: 10px;
    margin-bottom: 24px;
}
.flex-control-nav li {
    border-radius: 8px;
    overflow: hidden;
    margin-right: 20px !important;
}
.woocommerce div.product::after {
    content: "";
    display: block;
    clear: both;
}
.single-product .product_title {
    color: #171735;
    font-size: 40px;
    font-weight: 600;
    line-height: 54px;
}
.single-product .product .price {
    color: #4F66B0 !important;
}
.woocommerce-product-details__short-description {
    color: #171735;
    font-size: 20px;
    font-weight: 300;
    line-height: 33px;
    margin-bottom: 28px;
}
.woocommerce div.product form.cart {
    margin-bottom: 28px;
}
.woocommerce div.product form.cart .button {
    background-color: #4F66B0;
    min-width: 230px;
    color: #FFF;
    font-size: 20px;
    font-weight: 400;
    line-height: 24px;
    height: 64px;
    border-radius: 8px;
    padding: 10px;
}
.woocommerce div.product form.cart .button:hover {
    background-color: #171735;
}
.woocommerce .quantity .qty {
    border: 1px solid #4F66B0;
    width: 80px;
    height: 64px;
    border-radius: 8px;
    font-size: 20px;
    font-weight: 400;
}
.woocommerce .product_meta > span {
    display: block;
}
.woocommerce .product_meta .sku_wrapper {
    color: #4F66B0;
    font-size: 26px;
    font-weight: 500;
    line-height: 24px;
    margin-bottom: 20px;
}
.woocommerce .product_meta .posted_in,
.woocommerce .product_meta .posted_in a {
    color: #171735;
    font-size: 26px;
    font-weight: 300;
    line-height: 24px;
}

/* Product tabs */
.liha-products-tabs-section {
    padding: 100px 0;
}
.woocommerce-tabs ul.tabs {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    padding: 0;
    margin: 0;
    list-style-type: none;
}
.woocommerce-tabs ul.tabs::before,
.woocommerce-tabs ul.tabs li.active::after,
.woocommerce-tabs ul.tabs li::before,
.woocommerce-tabs ul.tabs li::after {
    display: none;
}
.woocommerce-tabs ul.tabs li {
    background: #E8E8E8;
    border: none;
    border-radius: 0;
    margin: 0;
    padding: 0;
}
.woocommerce-tabs ul.tabs li:first-child {
    border-top-left-radius: 10px;
}
.woocommerce-tabs ul.tabs li:last-child {
    border-top-right-radius: 10px;
}
.woocommerce-tabs ul.tabs li.active {
    background: #4F66B0;
}
.woocommerce-tabs ul.tabs li a {
    display: inline-block;
    padding: 23px 69px;
    color: #4F66B0;
    font-size: 23px;
    font-weight: 600;
    line-height: 27px;
}
.woocommerce-tabs ul.tabs li.active a {
    color: #fff;
}
.woocommerce-tabs .panel {
    border-radius: 0px 10px 10px 10px;
    background-color: #F9F9F9;
    padding: 40px;
    color: #171735;
    font-size: 16px;
    font-weight: 300;
    line-height: 36px;
    margin-bottom: 0;
}
.woocommerce-tabs .panel h2 {
    display: none;
}

/* Related Products */
.related.products {
    display: none;
}

/* Our Clients */
.swiper-pagination {
    margin-top: 30px;
}

/* About Page */
/* Galler */
.portfolio-wraper > div {
    padding: 0 7px !important;
    margin: 0 -7px;
    overflow: hidden;
}
.portfolio-wraper ul.simplefilter > li {
    padding: 0 30px 0 0;
    background-color: transparent;
    font-weight: 300;
}
.pfg-bootstrap .filtr-container .thumbnail {
    padding: 0;
}
.portfolio-wraper > div {
    margin-bottom: 20px;
}
.portfolio-wraper ul.simplefilter > li.active {
    font-weight: 500;
    text-decoration: underline;
}

/* Contact page */
.wpcf7-form .form-row  {
	display: flex;
	width: 100%;
	flex-wrap: wrap;
	justify-content: space-between;
}
.wpcf7-form .form-row .form-col-6{
    display: flex;
    width: 48.5%;
}
.wpcf7-form .form-row > div {
    margin-bottom: 41px;
}
.wpcf7-form .form-row .form-col-6 p,
.wpcf7-form .form-row .form-col-12 p{
	width: 100%;
}
.wpcf7-form .form-row .form-col-12{
	display: flex;
    width: 100%;
}

.wpcf7-form input,
.wpcf7-form textarea,
.wpcf7-form select {
	border-radius: 8px !important;
	background: #FFF !important;
	box-shadow: 0px 4px 15px 0px rgba(0, 0, 0, 0.14) !important;
	border: none !important;
	color: rgba(0, 0, 0, 0.50);
	font-family: Kanit;
	font-size: 25px !important;
	font-style: normal;
	font-weight: 300;
	line-height: normal;
	padding: 17.5px 18px !important;
}
.wpcf7-form textarea {
	height: 173px;
}
.wpcf7-form input::-moz-placeholder,
.wpcf7-form textarea::-moz-placeholder{
    color: rgba(0, 0, 0, 0.50);
    Opacity: 1;
}
.wpcf7-form input:-moz-placeholder,
.wpcf7-form textarea:-moz-placeholder{
    color: rgba(0, 0, 0, 0.50);
    Opacity: 1;
}
.wpcf7-form input::-webkit-input-placeholder,
.wpcf7-form textarea:-moz-placeholder {
    color: rgba(0, 0, 0, 0.50);
    Opacity: 1;
}
.wpcf7-form input:-ms-input-placeholder,
.wpcf7-form textarea:-ms-input-placeholder{
    color: rgba(0, 0, 0, 0.50);
    Opacity: 1;
}
.wpcf7-form input[type="submit"] {
    background-color: #4f66b0 !important;
    border: none !important;
    color: #FFF;
    font-size: 20px;
    font-style: normal;
    font-weight: 400;
    line-height: 24px;
    padding: 20px !important;
    width: 100%;
    max-width: 241px;
    text-align: center;
}
.wpcf7-form input[type="submit"]:hover { 
    background-color: #171735 !important;
}

.wpcf7-form input.wpcf7-file {
    width: 100%;
}

/* New Exhibitions Page */
.liha-gallery .elementor-image-gallery .gallery-item img {
    height: 300px;
    object-fit: cover;
}

.topbar-inquiry a {
    color: #fff !important;
}

/* Responsive */
@media only screen and (max-width: 1024px) {
	.liha-product-list {
	    width: 50%;
	}

    /* Home Project Section */
    .project-list {
        width: 50%;
    }
}
@media only screen and (max-width: 991px) {
    /* Contact form */
    .wpcf7-form input, 
    .wpcf7-form textarea,
    .wpcf7-form select {
        font-size: 20px !important;
        padding: 10px 18px;
    }
    .wpcf7-form .form-row > div {
        margin-bottom: 14px;
    }
    .wpcf7-form input[type="submit"] {
        font-size: 20px;
        font-weight: 400;
        padding: 15px !important;
        max-width: 171px;
        margin-top: 25px;
    }

    /* New Exhibitions Page */
    .liha-gallery .elementor-image-gallery .gallery-item img {
        height: 250px;
    }
}
@media only screen and (max-width: 767px) {
	.hero-section h1 > br {
        display: none;
    }

    .liha-product-list {
	    width: 100%;
	} 

	header .hfe-nav-menu__breakpoint-mobile {
	    position: absolute;
	    width: 100%;
	    left: 0;
	    top: 50%;
	    padding: 0;
	    height: calc(100% - 50%);
	    transform: translateY(-50%);
	}
	header nav.hfe-dropdown {
	    margin-top: 25px !important;
	    border-top: 1px solid #4f66b0;
	    box-shadow: 0px 10px 20px 0px #4f66b0;
	}
	header nav.hfe-dropdown .hfe-nav-menu li a {
	    padding-left: 20px !important;
	}

    /* Industry Section */
    .industry-section {
	    background-image: none !important;
	}

    /* Home Project Section */
    .project-list {
        width: 100%;
    }

    /* Testimonials Slider Section */
    .testimonials-slider .sp-testimonial-client-testimonial::before {
	    left: 50% !important;
	    transform: translateX(-50%);
	}
	.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-testimonial p,
	.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-name,
	.testimonials-slider .sp-testimonial-free-section .sp-testimonial-client-designation {
	    text-align: center;
	}
	.testimonials-slider .sp-testimonial-free-section .testimonial-pagination {
	    justify-content: center;
        bottom: 10px;
	}
     /* Contact form */
    .wpcf7-form .form-row .form-col-6 {
        margin-bottom: 10px;
    }
    .wpcf7-form .form-col-6 input, .wpcf7-form .form-col-12 textarea {
        font-size: 16px;
    }
    .wpcf7-form .form-row > div {
        width: 100%;
        margin-bottom: 24px;
    }
}